//---------------------------------------------------------------------------
#ifndef MulAxisH
#define MulAxisH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include "TeeComma.hpp"
//---------------------------------------------------------------------------
class TCustomAxisForm : public TForm
{
__published:	// IDE-managed Components
  TChart *Chart1;
  TLineSeries *LineSeries1;
  TPointSeries *PointSeries1;
  TFastLineSeries *FastLineSeries1;
  TPanel *Panel1;
  TCheckBox *CheckBox1;
  TBitBtn *BitBtn1;
  TCheckBox *CheckBox2;
  TCheckBox *DrawGrid;
  TMemo *Memo1;
  TTimer *Timer1;
    TTeeCommander *TeeCommander1;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall LineSeries1AfterDrawValues(TObject *Sender);
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall CheckBox2Click(TObject *Sender);
  void __fastcall DrawGridClick(TObject *Sender);
private:	// User declarations
  int XPercent;
  int YPercent;
  void CreateRandomPoints(TChartSeries* Series);
public:		// User declarations
  __fastcall TCustomAxisForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TCustomAxisForm *CustomAxisForm;
//---------------------------------------------------------------------------
#endif
